//      count.c
//
//      Copyright 2010 Peťoš Šafařík <petos@mandrivalinux.cz>
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 2 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.


#include "nteles.h"

int count(void)
{
//z init. funkcí máme načtena vstupní data -- hmotnosti, polohy a rychlosti.
//otevíráme soubor s daty pro přípis:

	int exit_status,tmp_status, pocet_kroku;

        if (( datafile = fopen(DATAS,"a")) == NULL )
        {
                printf("Chyba při otevření souboru!\n");
                exit_status = 9;
                goto konec;
        }
        else
        {
                exit_status = 0;
        };



do {
	count_clear();
	count_forces();
	count_integrator();
	if ((tmp_status=count_write_data() ) != 0 )
	{
		printf("Chyba v datech!!");
		exit_status=tmp_status;
		break;
	}
	else
	{
		exit_status=0;
	};
	pocet_kroku++;
} while (pocet_kroku <= MAXSTEP );

//uzavření souboru:
        if (fclose(datafile) == EOF)
        {
        printf("Chyba při uzavírání datového souboru");
        exit_status=9;
        goto konec;
        };
exit_status = 0;

konec:
return(exit_status);
};
