//      init_gen_files.c
//
//      Copyright 2010 Peťoš Šafařík <petos@mandrivalinux.cz>
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.


#include "nteles.h"


int init_gen_files()
{
	int exit_status,tmp_status_def,tmp_status_data,tmp_status,pocet,stav;

	printf("Spouštím funkci init_gen_files\n");

	do
	{
		printf("Zadejte prosím počet objektů k počítání: ");
		scanf("%d",&nobjektu);
		if ( nobjektu != '\n' )
			while ( getchar() != '\n' )
			;
	} while (( nobjektu <= 1 ) || (MAXOBJEKTU < nobjektu));

	if (( deffile = fopen(DEFINES,"w")) == NULL )
	{
		printf("Chyba při otevření souboru %s",DEFINES);
		tmp_status_def = 9;
	}
	else
	{
		tmp_status_def = 0;
	};

if ( tmp_status_def == 0 )
{
	if (( datafile = fopen(DATAS,"w")) == NULL )
	{
		printf("Chyba při otevření souboru %s",DATAS);
		tmp_status_data = 9;
	}
	else
	{
		tmp_status_data = 0;
	};
};

fprintf(deffile,"%d ",nobjektu);

pocet = 0;

while ( pocet <= MAXINDEX )
{
init_gen_def_file(pocet);
init_gen_data_file(pocet);
pocet++;
};

	fprintf(datafile,"\n");
	fprintf(deffile,"\n");

if (( stav = init_load_def_file()) == 0 )
	{
		tmp_status = init_load_data_file();
	};

if ( tmp_status_def == 0)
{
	if (fclose(deffile) == EOF )
	{
		printf("Fatální chyba při uzavírání souboru %s",DEFINES);
		exit_status = 9;
	}
	else
	{
		tmp_status = 0;
	};
};

if ( tmp_status_data == 0)
{
	if (fclose(datafile) == EOF )
	{
		printf("Fatální chyba při uzavírání souboru %s",DATAS);
		exit_status = 9;
	}
	else
	{
		tmp_status = 0;
	};
};
if (tmp_status == 0 )
{
	exit_status = 0;
};

	return(exit_status);
};
