//      init_load_def_file.c
//
//      Copyright 2010 Peťoš Šafařík <petos@mandrivalinux.cz>
//
//      This program is free software; you can redistribute it and/or modify
//      it under the terms of the GNU General Public License as published by
//      the Free Software Foundation; either version 3 of the License, or
//      (at your option) any later version.
//
//      This program is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//      GNU General Public License for more details.
//
//      You should have received a copy of the GNU General Public License
//      along with this program; if not, write to the Free Software
//      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
//      MA 02110-1301, USA.


#include "nteles.h"

int init_load_def_file(void)
{
	int exit_status,otevren_soubor_status,tmp_status,close_status,pocet;

	printf("Spouštím funkci init_load_def_file\n");

	printf("Otevírám soubor %s\n", DEFINES);
	if((deffile=fopen(DEFINES,"r")) == NULL )
	{
		printf("Chyba při otevírání souboru s definicemi %s\n",DEFINES);
		otevren_soubor_status=9;
		tmp_status=9;
	}
	else
	{
		otevren_soubor_status=0;
		tmp_status=0;
	};

if( otevren_soubor_status == 0 )
{
	fscanf(deffile, "%d", &nobjektu);
	pocet = 0;
	do {
		fscanf(deffile, "%g", &m[pocet]);
		pocet++;
	} while ( pocet <= MAXINDEX);
};

if ( otevren_soubor_status == 0)
{
	if (fclose(deffile) == EOF )
	{
		printf("Chyba při uzavírání souboru");
		close_status=9;
	}
	else
	{
		close_status = 0;
	};
};

if (close_status == 0 )
{
	exit_status = tmp_status;
}
else
{
	exit_status = close_status;
};

return(exit_status);
};
